package ru.yandex.autotests.direct.fakebsproxy.beans.moderate;

import java.util.List;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

public class BannerData extends BaseBean<BannerData> {

    @SerializedName("login")
    private String login;
    @SerializedName("sitelinks_set_id")
    private Long sitelinksSetId;
    @SerializedName("href")
    private String href;
    @SerializedName("title")
    private String title;
    @SerializedName("title_extension")
    private String titleExtension;
    @SerializedName("geo")
    private Integer geo;
    @SerializedName("domain")
    private String domain;
    @SerializedName("geo_text")
    private String geoText;
    @SerializedName("body")
    private String body;
    @SerializedName("uid")
    private Long uid;
    @SerializedName("lang")
    private String lang;
    @SerializedName("parametrized_href")
    private String parametrizedHref;
    @SerializedName("hrefs")
    private List<String> hrefs;
    @SerializedName("turboLandingHrefs")
    private List<String> turboLandingHrefs;

    public String getLogin() {
        return login;
    }

    public Long getSitelinksSetId() {
        return sitelinksSetId;
    }

    public String getHref() {
        return href;
    }

    public String getTitle() {
        return title;
    }

    public String getTitleExtension() {
        return titleExtension;
    }

    public Integer getGeo() {
        return geo;
    }

    public String getDomain() {
        return domain;
    }

    public String getGeoText() {
        return geoText;
    }

    public String getBody() {
        return body;
    }

    public Long getUid() {
        return uid;
    }

    public String getLang() {
        return lang;
    }

    public String getParametrizedHref() {
        return parametrizedHref;
    }

    public List<String> getHrefs() {
        return hrefs;
    }

    public List<String> getTurboLandingHrefs() {
        return turboLandingHrefs;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public void setSitelinksSetId(Long sitelinksSetId) {
        this.sitelinksSetId = sitelinksSetId;
    }

    public void setHref(String href) {
        this.href = href;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public void setTitleExtension(String titleExtension) {
        this.titleExtension = titleExtension;
    }

    public void setGeo(Integer geo) {
        this.geo = geo;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public void setGeoText(String geoText) {
        this.geoText = geoText;
    }

    public void setBody(String body) {
        this.body = body;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public void setLang(String lang) {
        this.lang = lang;
    }

    public void setParametrizedHref(String parametrizedHref) {
        this.parametrizedHref = parametrizedHref;
    }

    public void setHrefs(List<String> hrefs) {
        this.hrefs = hrefs;
    }

    public void setTurboLandingHrefs(List<String> turboLandingHrefs) {
        this.turboLandingHrefs = turboLandingHrefs;
    }

    public BannerData withLogin(String login) {
        this.login = login;
        return this;
    }

    public BannerData withSitelinksSetId(Long sitelinksSetId) {
        this.sitelinksSetId = sitelinksSetId;
        return this;
    }

    public BannerData withHref(String href) {
        this.href = href;
        return this;
    }

    public BannerData withTitle(String title) {
        this.title = title;
        return this;
    }

    public BannerData withTitleExtension(String titleExtension) {
        this.titleExtension = titleExtension;
        return this;
    }

    public BannerData withGeo(Integer geo) {
        this.geo = geo;
        return this;
    }

    public BannerData withDomain(String domain) {
        this.domain = domain;
        return this;
    }

    public BannerData withGeoText(String geoText) {
        this.geoText = geoText;
        return this;
    }

    public BannerData withBody(String body) {
        this.body = body;
        return this;
    }

    public BannerData withUid(Long uid) {
        this.uid = uid;
        return this;
    }

    public BannerData withLang(String lang) {
        this.lang = lang;
        return this;
    }

    public BannerData withParametrizedHref(String parametrizedHref) {
        this.parametrizedHref = parametrizedHref;
        return this;
    }

    public BannerData withHrefs(List<String> hrefs) {
        this.hrefs = hrefs;
        return this;
    }

    public BannerData withTurboLandingHrefs(List<String> turboLandingHrefs) {
        this.turboLandingHrefs = turboLandingHrefs;
        return this;
    }
}
